## python-mox 0.7.8

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = pymox
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-mox 0.5.3

=== debian/changelog ===
python-mox (0.5.3-5) unstable; urgency=medium

  * Refresh packaging for upcoming buster release, which will be the last
    release to have this package; upstream is long gone, and this tool has
    better alternatives. Changes:
    - refresh standards version (rules-requires-root: no, drop 'extra'
      priority)
    - switch to debhelper 12, and thus to pybuild system
    - add lintian overrides for 'code.google.com is dead'

 -- Iustin Pop <iustin@debian.org>  Thu, 03 Jan 2019 11:18:22 +0100

python-mox (0.5.3-4) unstable; urgency=medium

  * Standards version 3.9.6 (no changes needed)
  * Add autopkg test suite for running the unittests against the installed
    package

 -- Iustin Pop <iustin@debian.org>  Thu, 30 Apr 2015 11:11:01 +0200

python-mox (0.5.3-3) unstable; urgency=low

  * Import Ubuntu patches; hopefully no diffs remain

 -- Iustin Pop <iustin@debian.org>  Sat, 26 May 2012 18:44:48 +0200

python-mox (0.5.3-2) unstable; urgency=low

  * Switch to dh_python2
  * Standards version 3.9.3 (no changes needed)
  * Switch to tiny build rules (dh7) and dh_python2

 -- Iustin Pop <iustin@debian.org>  Sun, 20 May 2012 14:03:00 +0200

python-mox (0.5.3-1) unstable; urgency=low

  * New upstream version

 -- Iustin Pop <iustin@debian.org>  Mon, 24 May 2010 12:30:06 +0200

python-mox (0.5.1-2) unstable; urgency=low

  * Remove build-deps on -dev package (not needed)
  * Switch to my debian address and remove DM-Upload-Allowed
  * Standards version 3.8.4 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Iustin Pop <iustin@debian.org>  Sat, 06 Mar 2010 12:38:42 +0100

python-mox (0.5.1-1) unstable; urgency=low

  * New Upstream Version
  * New Standards Version (no changes needed)

 -- Iustin Pop <iusty@k1024.org>  Wed, 24 Jun 2009 21:04:07 +0200

python-mox (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #488547)

 -- Iustin Pop <iusty@k1024.org>  Sun, 29 Jun 2008 21:22:55 +0200

=== debian/control ===
Source: python-mox
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper-compat (= 12),
 python (>= 2.6.6-3~), python-all (>= 2.6.6-3~), dh-python
Standards-Version: 4.3.0
Homepage: http://code.google.com/p/pymox/
Vcs-Browser: https://salsa.debian.org/debian/python-mox
Vcs-Git: https://salsa.debian.org/debian/python-mox.git

Package: python-mox
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: mock object framework for Python
 Mox is a mock object framework for Python that simplifies the writing of
 unittests.
 .
 Mox will make mock objects for you, so you don't have to create your
 own. It mocks the public/protected interfaces of Python objects. You set
 up your mock objects expected behavior using a domain specific language
 (DSL), which makes it easy to use, understand, and refactor.
 .
 It is based on EasyMock, a Java mock object framework.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mox

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for version in $(shell pyversions -vr); do python$$version mox_test.py; done
endif

=== debian/tests/control ===
Tests: unittests
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# code.google.com/p/$project/downloads/list has links to $project.googlecode.com/files/
https://code.google.com/p/pymox/downloads/list \
    (?:https:)?//pymox.googlecode.com/files/mox-([\d.+]+)\.tar\.gz

## python-mox 0.7.8

=== debian/changelog ===
python-mox (0.7.8-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Iustin Pop ]
  * Bump standards version and debhelper compat level (no changes needed).

 -- Iustin Pop <iustin@debian.org>  Mon, 30 Nov 2020 01:01:12 +0100

python-mox (0.7.8-4) unstable; urgency=medium

  * Fix runtime dependencies (Closes: #949228).
  * Drop Python 2 package (Closes: #937929).

 -- Iustin Pop <iustin@debian.org>  Fri, 24 Apr 2020 21:36:59 +0200

python-mox (0.7.8-3) unstable; urgency=medium

  * Fix autopkg unittests for the python2 case.
  * Minor packaging cleanup, including rules-requires-root.

 -- Iustin Pop <iustin@debian.org>  Sun, 17 Nov 2019 23:07:38 +0100

python-mox (0.7.8-2) unstable; urgency=medium

  * Acknowledge NMU, thanks Sandro! (Closes: #941562)
  * Fix autopkgtest bug introduced by new upstream dependencies
  * Remove old lintian overrides which caused new lintian warnings

 -- Iustin Pop <iustin@debian.org>  Fri, 18 Oct 2019 22:15:22 +0200

python-mox (0.7.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, supporting both python2 and python3
  * debian/watch
    - point to https://github.com/ivancrneto/pymox
  * debian/control
    - update Homepage
  * debian/patches/python-2.7.2-compat.patch
    - remove, merged upstream
  * Build a python3-mox package

 -- Sandro Tosi <morph@debian.org>  Tue, 01 Oct 2019 20:21:06 -0400

=== debian/control ===
Source: python-mox
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper-compat (= 13),
 python3, dh-python, python3-six,
Standards-Version: 4.5.1
Homepage: https://pymox.readthedocs.io/en/latest/index.html
Vcs-Browser: https://salsa.debian.org/debian/python-mox
Vcs-Git: https://salsa.debian.org/debian/python-mox.git
Rules-Requires-Root: no

Package: python3-mox
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-six
Provides: ${python3:Provides}
Description: mock object framework for Python 3
 Mox is a mock object framework for Python that simplifies the writing of
 unittests.
 .
 Mox will make mock objects for you, so you don't have to create your
 own. It mocks the public/protected interfaces of Python objects. You set
 up your mock objects expected behavior using a domain specific language
 (DSL), which makes it easy to use, understand, and refactor.
 .
 It is based on EasyMock, a Java mock object framework.
 .
 This package contains the Python 3 module for mox.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mox

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for version in $(shell py3versions -vr); do python$$version mox_test.py; done
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pymox-$1.tar.gz%" \
 https://github.com/ivancrneto/pymox/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
